<?php

    //
    // Copyright (c) 2002-2003 Zyneo HB. (http://www.zyneo.com)
    // See LICENSE distributed with this package for more information.
    //
    
    include_once("../config/config.inc");
    include_once(_DOCROOT . "/sdk/GatewaySender.php");
    
    /**
     * $Id: sender.php,v 1.1.1.1 2003/03/27 10:27:43 maro Exp $
     *
     * This is a sample PHP-shell script demonstrating how to send an
     * SMS-message. 
     *
     * NOTE!
     * To make sure it will work, verify that the path to the php-binary is 
     * correct at the top of this page.
     * 
     * Also make sure that the gateway is running and listening on the ports
     * defined in 'config.inc'.
     *
     * This page is and should be considered as a SAMPLE and not to be used in 
     * a production environment. 
     *
     * @author Magnus Rosenquist, Zyneo
     * 
     */
    
    function usage()
    {
        printf ("\nUsage: \n\n./sender.sh mobile message\nExample: ./sender.sh +467022222 \"Hello how are you?\"\n\n");
    }
 
    function logInfo($msg)
    {
        printf ("\n> " .$msg);
    }
       
    function main($argv)
    {
        if ( $argv[1] != "" && $argv[2] != "" )
        {
            $sender = new GatewaySender();
            $response = $sender->sendSimpleSMS($argv[1], $argv[2]);
            //
            // Log some info about the response, message-id is important if you want
            // to keep track of Notifications.
            //
            logInfo("Response-status: " . $response->getStatus());
            logInfo("Response-type: " . $response->getResponseType());
            if ( $response->getStatus() == $response->STATUS_SUCCESS )
                logInfo("Message-id: " . $response->getMessageId()."\n");
            else
            {
                logInfo("Error-code: " .$response->getErrorCode());
                logInfo("Error-msg: " .$response->getErrorMessage()."\n");
            }
            
        }
        else
            usage();
    }
    
    main($argv);

?>
